Udon is under active development. Documentation not final.
udonudon
Virtual machines

Set VM autostart

Start this VM whenever Udon starts after login, or stop doing so. Requires the **operator** role.

POST
/api/vms/{id}/autostart

Authorization

udon_session<token>

In: cookie

Path Parameters

id*string

The virtual machine's id, twelve lowercase hex characters.

Match^[0-9a-f]{12}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/vms/string/autostart" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "id": "string",  "name": "string",  "description": "string",  "backend": "apple",  "guest": {    "kind": "linux",    "template": "string",    "icon": "string"  },  "cpus": 0,  "memoryBytes": 0,  "state": "stopped",  "ip": "string",  "startedAt": "2019-08-24T14:15:22Z",  "error": "string",  "autostart": true,  "forwards": [    {      "proto": "tcp",      "hostPort": 0,      "guestPort": 0    }  ],  "usage": {    "cpu": 0,    "memoryBytes": 0  },  "diskBytes": 0,  "diskUsedBytes": 0,  "windowVisible": true,  "createdAt": "2019-08-24T14:15:22Z"}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.